libstdc++: std::atomic< signed char > Struct Reference

libstdc++

std::atomic< signed char > Struct Reference
Atomics

`#include <atomic>`

## Public Types
typedef __atomic_base< signed char > | __base_type
typedef signed char | __integral_type
using | value_type

## Public Member Functions
constexpr | atomic (__integral_type __i) noexcept
| atomic (const atomic &)=delete
bool | compare_exchange_strong (signed char &__e, signed char __i, memory_order __s, memory_order __f) noexcept
bool | compare_exchange_weak (signed char &__e, signed char __i, memory_order __s, memory_order __f) noexcept
signed char | exchange (signed char __i, memory_order __m=memory_order_seq_cst) noexcept
bool | is_lock_free () const noexcept
signed char | load (memory_order __m=memory_order_seq_cst) const noexcept
| operator signed char () const noexcept
| operator signed char () const volatile noexcept
atomic & | operator= (const atomic &) volatile =delete
atomic & | operator= (const atomic &)=delete
void | store (signed char __i, memory_order __m=memory_order_seq_cst) noexcept

## Detailed Description

Explicit specialization for signed char.

Definition at line 772 of file atomic.

## Member Typedef Documentation

## ◆ __base_type

typedef __atomic_base<signed char> std::atomic< signed char >::__base_type

Definition at line 775 of file atomic.

## ◆ __integral_type

typedef signed char std::atomic< signed char >::__integral_type

Definition at line 774 of file atomic.

## ◆ value_type

using std::atomic< signed char >::value_type

Definition at line 202 of file atomic.

## Constructor & Destructor Documentation

## ◆ atomic()

std::atomic< signed char >::atomic | ( | __integral_type | __i | ) |
| inlineconstexprnoexcept

Definition at line 783 of file atomic.

## Member Function Documentation

## ◆ compare_exchange_strong()

bool std::atomic< signed char >::compare_exchange_strong | ( | signed char & | __e,
|  | signed char | __i,
|  | memory_order | __s,
|  | memory_order | __f )
| inlinenoexcept

Definition at line 383 of file atomic.

## ◆ compare_exchange_weak()

bool std::atomic< signed char >::compare_exchange_weak | ( | signed char & | __e,
|  | signed char | __i,
|  | memory_order | __s,
|  | memory_order | __f )
| inlinenoexcept

Definition at line 355 of file atomic.

## ◆ exchange()

signed char std::atomic< signed char >::exchange | ( | signed char | __i,
|  | memory_order | __m = memory_order_seq_cst )
| inlinenoexcept

Definition at line 332 of file atomic.

## ◆ is_lock_free()

bool std::atomic< signed char >::is_lock_free | ( |  | ) | const
| inlinenoexcept

Definition at line 277 of file atomic.

## ◆ load()

signed char std::atomic< signed char >::load | ( | memory_order | __m = memory_order_seq_cst | ) | const
| inlinenoexcept

Definition at line 314 of file atomic.

## ◆ operator signed char() [1/2]

std::atomic< signed char >::operator signed char | ( |  | ) | const
| inlinenoexcept

Definition at line 262 of file atomic.

## ◆ operator signed char() [2/2]

std::atomic< signed char >::operator signed char | ( |  | ) | const volatile
| inlinenoexcept

Definition at line 265 of file atomic.

## ◆ store()

void std::atomic< signed char >::store | ( | signed char | __i,
|  | memory_order | __m = memory_order_seq_cst )
| inlinenoexcept

Definition at line 298 of file atomic.

The documentation for this struct was generated from the following file:

- atomic